<header>

    {{ if .Site.Params.showTitle }}
    {{ $url := urls.Parse .Site.BaseURL }}
    <div class="title">
        <a class="base-url nav-left {{ if .IsHome }}current{{ end }}" href="/" {{ with .Site.Title }}title="{{ . }}"{{ end }}>/home/{{ $url.Host }}</a>
    </div>
    {{ end }}

    <nav class="menu">

        <ul class="main">
            {{ $current := . }}
            {{- range .Site.Menus.primary }}
            {{ $active := or ($current.IsMenuCurrent "primary" .) ($current.HasMenuCurrent "primary" .) }}
            {{ if $current.File }}
            {{ $name := lower .Name }}
            {{ $active = or $active (eq $name $current.File.BaseFileName) }}
            {{ end }}
            <li class="nav-left{{ if $active }} current{{ end }}">
                <a href="{{ .URL }}" {{ with .Title }}title="{{ . }}"{{ end }}>{{ with .Pre }}{{ . }}{{ else }}~/{{ lower .Name }}{{ end }}</a>
            </li>
            {{- end }}
        </ul>

        <ul class="secondary">
            {{ $current := . }}
            {{- range .Site.Menus.secondary }}
            {{ $active := or ($current.IsMenuCurrent "secondary" .) ($current.HasMenuCurrent "secondary" .) }}
            {{ if $current.File }}
            {{ $name := lower .Name }}
            {{ $active = or $active (eq $name $current.File.BaseFileName) }}
            {{ end }}
            <li class="nav-right{{ if $active }} current{{ end }}">
                <a href="{{ .URL }}" {{ with .Title }}title="{{ . }}"{{ end }}>{{ with .Pre }}{{ . }}{{ else }}~/{{ lower .Name }}{{ end }}</a>
            </li>
            {{- end }}
        </ul>

    </nav>

</header>
